semanage_bool_set_local(3)

NAME
semanage_bool_set_active - update an existing SELinux boolean in the currently active policy

SYNOPSIS
#include <semanage/booleans_active.h>

extern int semanage_bool_set_active (
semanage_handle_t *handle,
const semanage_bool_key_t *key,
const semanage_bool_t *data);

DESCRIPTION

Behavior:
    The set function will fail if no matching key is found in the local store. Otherwise, the provided object will replace the current one. When semanage_commit(3) is invoked, changes will be written permanently into the local store, and will be loaded into policy. Validity of the object being added is checked at commit time.

Parameters:
    The handle is used to track persistent state across semanage calls, and for error reporting. The key identifies the data object, which will be written into the store. The key are data are properties of the caller, and are not stored or modified internally.

Requirements:
    This function requires an semanage connection to be established (see semanage_connect(3) ), and must be executed in a transaction (see semanage_begin_transaction(3) ).

RETURN VALUE
In case of failure, -1 is returned, and the semanage error callback is invoked, describing the error. Otherwise 0 is returned.

SEE ALSO
semanage_handle_create(3), semanage_begin_transaction(3), semanage_connect(3), semanage_commit(3).